import bge

logic = bge.logic
mouse = logic.mouse
keyboard = logic.keyboard


def clicked(cont):
	own = cont.owner
	sensors = own.sensors
	scene = logic.getCurrentScene()
	
	JUST_ACTIVATED = logic.KX_INPUT_JUST_ACTIVATED
		
	if sensors["Hovered"].positive:
		if JUST_ACTIVATED in mouse.inputs[bge.events.LEFTMOUSE].queue:
			logic.mc["current_LV"] = ""
			logic.sendMessage("finished")
			scene.end()
			
def openLevelSelection(cont):
	own = cont.owner
	sensors = own.sensors
	scene = logic.getCurrentScene()
	
	JUST_ACTIVATED = logic.KX_INPUT_JUST_ACTIVATED
		
	if sensors["Hovered"].positive:
		if JUST_ACTIVATED in mouse.inputs[bge.events.LEFTMOUSE].queue:
			print("to level selection screen")
			element = scene.objectsInactive["level_selection"]
			scene.addObject(element)
			
			exit = scene.objects["button exit"]
			exit.endObject()
			
			cont.owner.endObject()
			

def startLevel(cont):
	own = cont.owner
	sensors = own.sensors
	scene = logic.getCurrentScene()
	
	JUST_ACTIVATED = logic.KX_INPUT_JUST_ACTIVATED
	

	
	if own["locked"] and logic.mc["unlock_all"] == False:
		return
		
	if sensors["Hovered"].positive:
		if JUST_ACTIVATED in mouse.inputs[bge.events.LEFTMOUSE].queue:
			if logic.mc["current_LV"] == "" and "LV" in own and own["LV"] in logic.getInactiveSceneNames():
				lv = own["LV"]
				logic.mc["current_LV"] = lv
				logic.addScene(lv, 1)
				
				logic.mc["unlock"] = own["unlock"]

def addLock(cont):
	own = cont.owner
	sensors = own.sensors
	scene = logic.getCurrentScene()
	
	if sensors["OnStartScene"].positive:
		if own["locked"] == True and logic.mc["unlock_all"] == False:
			
			lock = scene.objectsInactive["lock"]
			
			added = scene.addObject(lock, own)
			added.setParent(own)
			print ("add lock")
	
			



	