import bge

# variables defined here will only be set once when the
# module is first imported. Set object specific vars
# inside the function if you intend to use the module
# with multiple objects.


logic = bge.logic
keyboard = logic.keyboard


def handleInput(cont):
	own = cont.owner
	scene = logic.getCurrentScene()
	collision = cont.sensors['Collision']
	hole = cont.sensors['Hole']
	
	if own["ended"] == True:
		return

	#sens_trigger = cont.sensors['Triggered']
	ACTIVE = logic.KX_INPUT_ACTIVE
	if collision.positive and not hole.positive:
		if ACTIVE in keyboard.inputs[bge.events.LEFTARROWKEY].status or ACTIVE in keyboard.inputs[bge.events.AKEY].status:
			own.applyMovement([-0.14, 0, 0], True)
			
		elif ACTIVE in keyboard.inputs[bge.events.RIGHTARROWKEY].status or ACTIVE in keyboard.inputs[bge.events.DKEY].status:
			own.applyMovement([0.14, 0, 0], True)
	
		elif ACTIVE in keyboard.inputs[bge.events.UPARROWKEY].status or ACTIVE in keyboard.inputs[bge.events.WKEY].status:
			own.applyMovement([0, 0.14, 0], True)
		
		elif ACTIVE in keyboard.inputs[bge.events.DOWNARROWKEY].status or ACTIVE in keyboard.inputs[bge.events.SKEY].status:
			own.applyMovement([0, -0.14, 0], True)
		
		#enables hack for testing (when 't' is pressed the level is finished) - used for testing unlock feature
		#if ACTIVE in keyboard.inputs[bge.events.TKEY].status:
		#	own["goal"] = True
	elif hole.positive:
		if ACTIVE in keyboard.inputs[bge.events.LEFTARROWKEY].status or ACTIVE in keyboard.inputs[bge.events.AKEY].status:
			own.applyMovement([-0.005, 0, 0], True)
			
		elif ACTIVE in keyboard.inputs[bge.events.RIGHTARROWKEY].status or ACTIVE in keyboard.inputs[bge.events.DKEY].status:
			own.applyMovement([0.005, 0, 0], True)
	
		elif ACTIVE in keyboard.inputs[bge.events.UPARROWKEY].status or ACTIVE in keyboard.inputs[bge.events.WKEY].status:
			own.applyMovement([0, 0.005, 0], True)
		
		elif ACTIVE in keyboard.inputs[bge.events.DOWNARROWKEY].status or ACTIVE in keyboard.inputs[bge.events.SKEY].status:
			own.applyMovement([0, -0.005, 0], True)
		

		
def handleGoal(cont):
	own = cont.owner
	scene = logic.getCurrentScene()
	sensors = own.sensors
	#collision = cont.sensors['Collision']
	#sens_trigger = cont.sensors['Triggered']
	if sensors["Goal"].status ==  bge.logic.KX_SENSOR_JUST_ACTIVATED:
		own["goal"] = True
	elif sensors["Goal"].status ==  bge.logic.KX_SENSOR_JUST_DEACTIVATED:
		own["goal"] = False

def handleHole(cont):
	own = cont.owner
	scene = logic.getCurrentScene()
	sensors = own.sensors
	
	if sensors["Hole"].status ==  bge.logic.KX_SENSOR_JUST_ACTIVATED:
		own.enableRigidBody()

	if sensors["Hole"].positive:
		own.applyMovement([0, 0, -0.65], False)
		own.localScale = own.localScale * 0.82
		
		#own.applyTorque([2000, 2000, 2000], False)
		#own.applyForce([0, 0, -200], False)

def killPlayer(cont):
	own = cont.owner
	scene = logic.getCurrentScene()
	sensors = own.sensors
	lv_cont = scene.objects['LV_controller']
	if lv_cont["ended"] == True:
		return
	
	#collision = cont.sensors['Collision']
	#sens_trigger = cont.sensors['Triggered']
	if sensors["Kill"].status ==  bge.logic.KX_SENSOR_JUST_ACTIVATED:
		scene.restart()
